package android.rdvmedecins.entities.dao;

import java.io.Serializable;

public class Personne implements Serializable {
	private static final long serialVersionUID = 1L;
	private Long id;

	private String titre;

	private String nom;

	private int version;

	private String prenom;

	public Personne() {
	}

	public Personne(Long id) {
		this.id = id;
	}

	public Personne(Long id, String titre, String nom, int version, String prenom) {
		this.id = id;
		this.titre = titre;
		this.nom = nom;
		this.version = version;
		this.prenom = prenom;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getTitre() {
		return titre;
	}

	public void setTitre(String titre) {
		this.titre = titre;
	}

	public String getNom() {
		return nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public int getVersion() {
		return version;
	}

	public void setVersion(int version) {
		this.version = version;
	}

	public String getPrenom() {
		return prenom;
	}

	public void setPrenom(String prenom) {
		this.prenom = prenom;
	}

	@Override
	public String toString() {
		return String.format("[%s,%s,%s,%s,%s]", id, version, titre, prenom, nom);
	}

}
