package istia.st.avat.exemples.activity;

import istia.st.avat.exemples.R;
import istia.st.avat.exemples.vues.Vue_01;
import android.app.FragmentTransaction;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.Window;

public class MainActivity extends FragmentActivity {

	// la factory
	private Factory factory;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		// le sablier
		requestWindowFeature(Window.FEATURE_INDETERMINATE_PROGRESS);
		setProgressBarIndeterminateVisibility(false);
		// template qui accueille les vues
		setContentView(R.layout.main);
		// la factory
		factory = new Factory(this, new Config());
		// on définit l'unique vue
		Vue_01 vue = (Vue_01) factory.getObject(Factory.VUE_01, null, "Vue_01");
		// on en fait la vue courante
		FragmentTransaction fragmentTransaction = getFragmentManager().beginTransaction();
		fragmentTransaction.replace(R.id.container, vue);
		fragmentTransaction.commit();
	}

}
