package istia.st.avat.server;

import java.io.Serializable;
import java.util.Random;

public class Metier implements Serializable, IMetier {

	private static final long serialVersionUID = 1L;

	public Metier() {
	}

	// génération d'un nombre aléatoire
	/* (non-Javadoc)
	 * @see istia.st.avat.server.IMetier#randomNumber(int, int)
	 */
	public int randomNumber(int a, int b) {
		// vérification des paramètres
		if (a > b) {
			throw new ServerException(String.format("%d doit être >= à %d", b, a));
		}
		// on génère une exception aléatoire 1 fois / 3
		Random random = new Random();
		int i = random.nextInt(3);
		if (i == 0) {
			throw new ServerException("Exception aléatoire");
		}
		// on rend un nombre aléatoire entre a et b
		return a + random.nextInt(b - a + 1);
	}
}
