package istia.st.avat.exemples.actions;

import istia.st.avat.android.Action;
import istia.st.avat.core.IBoss;

import java.util.ArrayList;
import java.util.List;

public class Action_01 extends Action {

	// la liste des nombres aléatoires générés par les tâches lancées
	List<Integer> aleas = new ArrayList<Integer>();

	@Override
	// on exécute l'action (urlServiceRest,nbAleas,a,b, sleepTime)
	public void doWork(Object... params) {
		// on renvoie les paramètres après un délai d'attente
		try {
			Thread.sleep(1000);
			// on renvoie les paramètres
			boss.notifyEvent(this, IBoss.WORK_INFO, params);
		} catch (InterruptedException e) {
			// on renvoie l'exception
			boss.notifyEvent(this, IBoss.WORK_INFO, e);
		}
		// fin
		boss.notifyEvent(this, IBoss.WORK_TERMINATED, (Object[])null);
	}

	@Override
	public void notifyEndOfTasks() {
	}

}
